Bug 153432 - [MAINTAINER] deskutils/gtg: add missing dependency [feature safe]
Summary: [MAINTAINER] deskutils/gtg: add missing dependency [feature safe]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-24 20:00 UTC by R.Mahmatkhanov
Modified: 2011-01-05 07:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1008 bytes, patch)
2010-12-24 20:00 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2010-12-24 20:00:29 UTC
- add missing dependency on devel/py-dbus. Reported by Joachim Ernst <joachim dot ernst at web dot de>
-remove md5 and add license while i'm on this

Fix: Patch attached with submission follows:
Comment 1 wenheping 2010-12-25 03:15:42 UTC
Hi,

   There is a plist error in this build , here is the lines copied
from build log:

.....
===>   Registering installation for gtg-0.2.4_1
================================================================
====================<phase 7: make package>====================
===>  Building package for gtg-0.2.4_1
Deleting gtg-0.2.4_1
================================================================

=== Checking filesystem state
list of files present before this port was installed but missing after
it was deinstalled)
./usr/local/share/dbus-1/services missing
Deleting py26-xdg-0.19
Deleting py26-gtk-2.22.0_1
Deleting py26-dbus-0.83.2
Deleting py26-configobj-4.7.2
Deleting intltool-0.41.1
Deleting desktop-file-utils-0.15_2
Deleting dbus-glib-0.88
Deleting libglade2-2.6.4_3
Deleting p5-XML-Parser-2.40
....


    Would you fixed it ?

wen
Comment 2 R.Mahmatkhanov 2010-12-25 06:20:50 UTC
25.12.2010 06:15, wen heping пиÑеÑ:
> Hi,
>
>     There is a plist error in this build , here is the lines copied
> from build log:
>
> .....
> ===>    Registering installation for gtg-0.2.4_1
> ================================================================
> ====================<phase 7: make package>====================
> ===>   Building package for gtg-0.2.4_1
> Deleting gtg-0.2.4_1
> ================================================================
>
> === Checking filesystem state
> list of files present before this port was installed but missing after
> it was deinstalled)
> ./usr/local/share/dbus-1/services missing

It's strange enough that this is still there. It was removed twice by pav@:

http://www.freebsd.org/cgi/cvsweb.cgi/ports/deskutils/gtg/pkg-plist.diff?r1=1.8;r2=1.9
http://www.freebsd.org/cgi/cvsweb.cgi/ports/deskutils/gtg/pkg-plist.diff?r1=1.9;r2=1.10

Can you please reapply this patch along with patch from pr?

> Deleting py26-xdg-0.19
> Deleting py26-gtk-2.22.0_1
> Deleting py26-dbus-0.83.2
> Deleting py26-configobj-4.7.2
> Deleting intltool-0.41.1
> Deleting desktop-file-utils-0.15_2
> Deleting dbus-glib-0.88
> Deleting libglade2-2.6.4_3
> Deleting p5-XML-Parser-2.40
> ....
>
>
>      Would you fixed it ?
>
> wen

-- 
Regards,
Ruslan
Comment 3 dfilter service freebsd_committer 2011-01-05 07:12:31 UTC
wen         2011-01-05 07:12:26 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/gtg        Makefile distinfo 
  Log:
  - Add missing RUN_DEPENDS
  
  PR:             ports/153432
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru> (maintainer)
  
  Revision  Changes    Path
  1.19      +5 -1      ports/deskutils/gtg/Makefile
  1.9       +0 -1      ports/deskutils/gtg/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2011-01-05 07:13:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!